The BOOST_PP_TUPLE_REM_CTOR macro removes the parentheses from a tuple of the specified size.

#### Usage

BOOST_PP_TUPLE_REM_CTOR(size, tuple)

#### Arguments

size
  The size of the tuple from which the parentheses are to be removed. Valid tuple sizes range from 0 to BOOST_PP_LIMIT_TUPLE.
tuple
  The tuple from which the parenthesis are removed.

#### Remarks

The size argument must be the actual size of tuple.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/rem.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/rem.hpp>

    BOOST_PP_TUPLE_REM_CTOR(3, (x, y, z)) // expands to x, y, z